<?php 
/******************************************************************************
* MsgIcon.php	                                                              *
*******************************************************************************
* SMF: Simple Machines Forum - Message Icon Manager                           *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                *
* =========================================================================== *
* Software Version:           SMF 1.0 Beta 6                                  *
* Software by:     	      Matthew Wolf (a.k.a Grudge)		      *
* Support, News, Updates at:  http://www.simplemachines.org                   *
*******************************************************************************
* This program is free software; you may redistribute it and/or modify it     *
* under the terms of the provided license as published by Lewis Media.        *
*                                                                             *
* This program is distributed in the hope that it is and will be useful,      *
* but WITHOUT ANY WARRANTIES; without even any implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        *
*                                                                             *
* See the "license.txt" file for details of the Simple Machines license.      *
* The latest version can always be found at http://www.simplemachines.org.    *
******************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function MsgIconManager() {
	global $txt, $imagesdir, $scripturl, $db_prefix, $modSettings, $context;

	// Check user is an admin.
	is_admin();

	AdminIndex('msgicon_manager');

	// Load the message icon centre template.
	LoadTemplate('MsgIcon');

	// Retrieve the current Message Icon Entries.
	$request = db_query("
		SELECT ID_ICON, Name, Description, ID_BOARD
		FROM {$db_prefix}message_icons
		WHERE 1
		ORDER BY ID_ICON", __FILE__, __LINE__);
	$context['num'] = mysql_num_rows($request)-1;
	$context['msgicons'] = array();
	while ($row = mysql_fetch_assoc($request))
	{
		$context['msgicons'][] = array(			
			'id' => $row['ID_ICON'],
			'name' => $row['Name'],
			'description' => $row['Description'],
			'board' => $row['ID_BOARD']
		);
	}
	mysql_free_result($request);
	// Retrieve all the boards
	$request = db_query("
		SELECT ID_BOARD, name
		FROM {$db_prefix}boards
		WHERE 1
		ORDER BY boardOrder", __FILE__, __LINE__);
	$context['boards'] = array();
	while ($row = mysql_fetch_assoc($request))
	{
		$context['boards'][] = array(			
			'id' => $row['ID_BOARD'],
			'name' => $row['name']
		);
	}
	mysql_free_result($request);
	$context['page_title'] = $txt['msgicon_manager'];
	
	obExit();
}

function MsgIconAdd() {
	global $db_prefix, $scripturl;
	
	is_admin();
	$number = 0;
	foreach ($_REQUEST['msgname'] as $id => $dummy)
	{
		$id = (int)$id;
		$name = $_REQUEST['msgname'][$id];
		$desc = $_REQUEST['msgdesc'][$id];
		$board = $_REQUEST['msgboard'][$id];
		if($name!='')
		db_query("INSERT INTO {$db_prefix}message_icons
			(Name, Description, ID_BOARD)
			VALUES ('$name', '$desc', '$board')
			", __FILE__, __LINE__);
	}
	redirectexit('action=msgicon');
}

function MsgIconMod() {
	global $db_prefix, $scripturl;

	is_admin();

	$replace = isset($_REQUEST['replace']);
	$oname = "xx.gif";
	foreach ($_REQUEST['mid'] as $id => $dummy)
	{
		$id = (int)$id;
		$mid = $_REQUEST['mid'][$id];
		$name = $_REQUEST['mname'][$id];
		$desc = $_REQUEST['mdesc'][$id];
		$board = $_REQUEST['mboard'][$id];
		if (!isset($_REQUEST['mbox'][$id]) && $name!='' && $desc!=''){
			db_query("
				UPDATE {$db_prefix}message_icons
				SET Name = '$name', Description = '$desc', ID_BOARD = '$board'
				WHERE ID_ICON=$mid
			", __FILE__, __LINE__);
		}
		else if (isset($_REQUEST['mbox'][$id])){
			if ($replace)
			db_query("
				UPDATE {$db_prefix}messages
				SET icon = '$oname'
				WHERE icon = '$name'
			", __FILE__, __LINE__);
			db_query("
				DELETE FROM {$db_prefix}message_icons
				WHERE ID_ICON = $mid
			", __FILE__, __LINE__);
		}
	}
	redirectexit('action=msgicon');
}


?>