<?php
/******************************************************************************
* MsgIcondb.php                                                               *
*******************************************************************************
* SMF: Simple Machines Forum - Message Icon Manager MOD                       *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                *
* =========================================================================== *
* Software Version:           1.0	                                      *
* Software by:                Matthew Wolf (a.k.a Grudge)		      *
* Support, News, Updates at:  http://www.simplemachines.org                   *
*******************************************************************************
* This program is free software; you may redistribute it and/or modify it     *
* under the terms of the provided license as published by Lewis Media.        *
*                                                                             *
* This program is distributed in the hope that it is and will be useful,      *
* but WITHOUT ANY WARRANTIES; without even any implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        *
*                                                                             *
* See the "license.txt" file for details of the Simple Machines license.      *
* The latest version can always be found at http://www.simplemachines.org.    *
******************************************************************************/

// Only execute anything if the message icon table doesn't exist.
$toSet = array();
// Just the radio option
$toSet['msgIconsRadio_enabled'] = 0;

// Message Icon Table
db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}message_icons
	(ID_ICON INT(7) NOT NULL AUTO_INCREMENT,
	Name TINYTEXT NOT NULL,
	Description TINYTEXT NOT NULL,
	ID_BOARD INT(9) DEFAULT '-1' NOT NULL,
	PRIMARY KEY (ID_ICON),UNIQUE (ID_ICON)) TYPE = MYISAM COMMENT = 'Message Icon Table';", __FILE__, __LINE__);

// Check if the table is empty, only insert if so.
$request = db_query("SELECT * FROM {$db_prefix}message_icons", __FILE__, __LINE__);
if (mysql_num_rows($request) == 0)
{
	// Message Icons themselves
	$icons = array();
	// Just the radio option
	$icons['xx'] = 'General';
	$icons['thumbup'] = 'Thumbs Up';
	$icons['thumbdown'] = 'Thumbs Down';
	$icons['exclamation'] = 'Exclamation';
	$icons['question'] = 'Question';
	$icons['lamp'] = 'Lamp';
	$icons['smiley'] = 'Smiley';
	$icons['angry'] = 'Angry';
	$icons['cheesy'] = 'Cheesy';
	$icons['grin'] = 'Grin';
	$icons['sad'] = 'Sad';
	$icons['wink'] = 'Wink';
	// Insert them
	foreach ($icons as $name => $desc){
		db_query("INSERT INTO {$db_prefix}message_icons (`Name`, `Description`) VALUES ('$name', '$desc');", __FILE__, __LINE__);
	}			
 	// The ONE setting - I like my foreach tho
	foreach ($toSet as $key => $value){
		$result = db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`, `value`) VALUES ('$key', '$value');", __FILE__, __LINE__);
	}
}

?>

